Apple macOS Mojave nyomtató kompatibiltás megoldása

 ( KaTT | 2018. december 13., csütörtök - 14:04 )

Sziasztok,

Apple macOS Mojave (10.14) verziótól bizonyos régebbi nyomtató driverek nem működnek többet, például Canon esetében.
Tehát ha van egy több éves nyomtatód, ahhoz a Canon nem ad már ki többet drivert, így macOS-ről nem tudsz rá nyomtatni, ha Mojavéd van. (Az más kérdés, miért nem kompatibilis a régi driverekkel...)

Windows driver van a nyomtatóhoz, és az jól működik.

Van valami javaslatotok, mi erre a legelegánsabb megoldás, hogy lehessen nyomtatni macOS-ről a régi, nem Mojave kompatibilis nyomtatóra?

Például külön (virtuális) gépen valamilyen nyomtatószervert üzemeltetni?
Windows-on megosztani a nyomtatót és arra nyomtatni?

Köszönöm.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Kikapcsolt SIP mellett sem kompatibilis? A kextet nem tolti be? Mit jelent az, hogy nem komptibilis? A pkg-re kattingatva nem telepul? Ha kezzel bemasolod a fileokat a helyere, akkor sem megy?

---
Apple iMac 27"
áéíóöőúüű

Konkrétan Canon esetén:
- Mojave előtt minden jó volt, gyári pkg driver letölt, és új IP alapú nyomtató hozzáadás, felrakott driver kiválaszt, és működik.

Mojave után:
- a régi, feltett driver nem működik
- nincs hozzá, és nem is lesz újabb driver a Canon szerint

A pkg nem megy fel, mert régebbi macOS-hez való, azt írja.
Az alap, beépített szabvány driverekkel nem működik a nyomtatás.

Kézzel nem másoltam semmit sehova még.
SIP-et nem kapcsolgattam.
Valami mókolásmentes megoldás lenne a szép... :) De ha nincs, akkor ...

Sakk-matt,
KaTT :)

A regi driver egyaltalan telepitve maradt? Ha pl a gyarto a kextet (van benne egyaltalan kext?) a /System/Library/Extensions -be teszi, akkor az pl ki lett uritve Mojave utan, de ha a /Library/Extensions -be van, akkor nem. Ugyonigy van ez az ilyen-olyan daemonokkal, launchd konfigallomanyokkal is.

Tehat elso korben, fognek valamit, amivel ki lehet bontani a pkg-t (pl. Pacifist), majd minden allomanyt elhelyeznek a helyere. A felmasolt dolgoktol fuggoen figyelnem a logokat, hogy mindent be tud-e tolteni.

Legtobbszor csak annyi szokott lenni a baj, hogy nincs felsorolva a megfelelo plistben a 10.14 vagy olyan alairast tartalmaz, ami mar 10.14-ben nem ervenyes.

---
Apple iMac 27"
áéíóöőúüű

Rendben, megpróbálom ezt kideríteni.
De ha ilyen egyszerű lenne, és a Canont is világ szinten érinti ez, miért nem írják át a driver cfg-ben az új verzióra és adják ki, ha csak ez a gond? :)

Sakk-matt,
KaTT :)

Mert ocska, es lejart a tamogatasi ablak. En mai napig nyomtatok mindenfele modern Mac OS verzioval 10-20 eves nyomtatokra is. A regi driverek nagyresze megy, ahhoz nagyon-nagyon regi driver kell, hogy ne tudjon most mukodni (ami nem ment 10.8-on az nem fog menni 10.14-en sem, de ami megy 10.10-en vagy 10.11-en, az biztos, hogy megy 10.14-en is).

---
Apple iMac 27"
áéíóöőúüű

Igaz Nalam nem Mojave van hanem meg 10.13.6 es van meg egy Canon nyomtatom amihez az utolso tamogatott op rendszer 10.8 volt. Viszont siman megy azzal a driverrel minden gepen. Nem tudom Mojave-ben mi valtozott de szerintem mennie kellene.
--
vati

"Például külön (virtuális) gépen valamilyen nyomtatószervert üzemeltetni?
Windows-on megosztani a nyomtatót és arra nyomtatni?"

Ezek kozul is barmelyik mukodhet, de ha van pl egy NAS-od akkor meg airprint kepesse is teheted.
--
vati